// David Eberly, Geometric Tools, Redmond WA 98052
// Copyright (c) 1998-2024
// Distributed under the Boost Software License, Version 1.0.
// https://www.boost.org/LICENSE_1_0.txt
// https://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
// Version: 6.7.2023.08.08

#pragma once

// Constants involving pi.
double constexpr GTE_C_PI = 3.1415926535897931;
double constexpr GTE_C_HALF_PI = 1.5707963267948966;
double constexpr GTE_C_QUARTER_PI = 0.7853981633974483;
double constexpr GTE_C_TWO_PI = 6.2831853071795862;
double constexpr GTE_C_INV_PI = 0.3183098861837907;
double constexpr GTE_C_INV_TWO_PI = 0.1591549430918953;
double constexpr GTE_C_INV_HALF_PI = 0.6366197723675813;

// Conversions between degrees and radians.
double constexpr GTE_C_DEG_TO_RAD = 0.0174532925199433;
double constexpr GTE_C_RAD_TO_DEG = 57.295779513082321;

// Common constants.
double constexpr GTE_C_SQRT_2 = 1.4142135623730951;
double constexpr GTE_C_INV_SQRT_2 = 0.7071067811865475;
double constexpr GTE_C_LN_2 = 0.6931471805599453;
double constexpr GTE_C_INV_LN_2 = 1.4426950408889634;
double constexpr GTE_C_LN_10 = 2.3025850929940459;
double constexpr GTE_C_INV_LN_10 = 0.43429448190325176;
